AOZ Studio Beta - Bug #749

Clear Key not working properly
05/14/2021 07:23 PM - Paul Kitching

Status: Resolved Start date: 05/14/2021
Priority: Normal Due date:
Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:
Affected version: Beta 7
Description
pen 1
do
locate 1,1:print rnd(10)
if key state(80) // p to pause
locate 0,4:centre "Paused"
wait 0.5

clear key
//x$=inkey$
while inkeyS$=""
wait vbl
wend
cls
end 1if
wait vbl
loop
end

Pressing p should pause until you press a key again, but it doesn't. If you remove the clear key and add in the x$=inkey$ (to clear
the buffer) it then works.

History

#1 - 05/16/2021 10:36 AM - David Baldwin
Fixed!

#2 - 07/15/2021 05:00 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
